| Version: 3.2.5

wxDCTextBgModeChanger Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include <wx/dc.h>`

## Detailed Description

wxDCTextBgModeChanger is a small helper class for setting a background text mode on a wxDC and unsetting it automatically in the destructor, restoring the previous one.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also
  wxDC::SetBackgroundMode(), wxDCFontChanger, wxDCPenChanger, wxDCBrushChanger, wxDCClipper, wxDCTextColourChanger, wxDCTextBgColourChanger

Since
  3.1.3